Bug 1733993 - missing OS labels (Win2k16 and win2k19) in common-templates
Summary: missing OS labels (Win2k16 and win2k19) in common-templates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Virtualization
Version: 2.1.0
Hardware: x86_64
OS: Windows
unspecified
high
Target Milestone: ---
: 2.1.0
Assignee: Martin Sivák
QA Contact: Ruth Netser
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 12:18 UTC by Xenia Lisovskaia
Modified: 2019-11-04 15:07 UTC (History)
4 users (show)

Fixed In Version: kubevirt-common-templates-v0.6.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 15:07:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xenia Lisovskaia 2019-07-29 12:18:48 UTC
Description of problem:

Missing OS labels for Windows 2016 and Windows 2019 -
There is no common-templates, suitable for Windows 2016 and Windows 2019.



Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1. Check that you connected and common-templates installed/available:

oc get -n openshift templates -l os.template.cnv.io/win10=true

You should receive list of common-templates, suitable for Windows 10

2. Run this command for Windows 2016:
oc get -n openshift templates -l os.template.kubevirt.io/win2k16=true


3. Run this command for Windows 2019:

oc get -n openshift templates -l os.template.kubevirt.io/win2k19=true


Actual results:

No resources found.

Expected results:

List of templates
Additional info:

Comment 1 Martin Sivák 2019-07-29 12:22:09 UTC
Posted upstream as: https://github.com/kubevirt/common-templates/pull/81

Comment 2 Martin Sivák 2019-07-29 12:29:26 UTC
We forgot to update the released templates, so this is a real bug and needs to be fixed.

Comment 3 Fabian Deutsch 2019-08-08 12:07:59 UTC
PR is merged, moving this to MODIFIED

Comment 4 Ruth Netser 2019-09-23 08:49:46 UTC
Verified on hco-bundle-registry: v2.1.0-63

$ oc get -n openshift templates -l os.template.kubevirt.io/win10=true
NAME                              DESCRIPTION                                                                        PARAMETERS    OBJECTS
win2k12r2-desktop-large-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-desktop-medium-v0.6.2   This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-large-v0.6.2     This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-medium-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1

$ oc get -n openshift templates -l os.template.kubevirt.io/win2k16=true
NAME                              DESCRIPTION                                                                        PARAMETERS    OBJECTS
win2k12r2-desktop-large-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-desktop-medium-v0.6.2   This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-large-v0.6.2     This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-medium-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1

$ oc get -n openshift templates -l os.template.kubevirt.io/win2k19=true
NAME                              DESCRIPTION                                                                        PARAMETERS    OBJECTS
win2k12r2-desktop-large-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-desktop-medium-v0.6.2   This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-large-v0.6.2     This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1
win2k12r2-server-medium-v0.6.2    This template can be used to create a VM suitable for Microsoft Windows Serve...   2 (1 blank)   1


Note You need to log in before you can comment on or make changes to this bug.